@ anfang.s   Allgemein verwendbarer Anfang
@ im Hauptprogramm mit .include einzufuegen
	
.ifdef LINUX_VERSION
        .text
        .global meinunterprogramm
meinunterprogramm:
        push {r1-r12,lr}
        mov r7, r0           @ GPIO-Basisadresse in r7 behalten
	mov r8, r1           @ Timer-Basisadresse in r8 behalten
	mov r9, r2           @ Interrupt-Basisadresse in r9 behalten
@        ldr r8, adrTimeradr  @ Adresse der Adresse laden
@        str r1, [r8,#0]      @ Timer-Basisadresse in Timeradr speichern
        bl meinstart
        mov r0, #0           @ Rueckgabewert 0
        pop {r1-r12,pc}
meinstart:
	push {lr}
.else
        .section .init
        .text
        .global _start
_start:
        mov sp, #0x8000         @ Stack Pointer setzen
        mov r7, #0x20000000
        add r7, #0x200000       @ GPIO-Adresse im r7 behalten
	mov r8, #0x20000000
	add r8, #0x3000		@ Timer-Basisadresse in r8 behalten
	mov r9, #0x20000000
	add r9, #0xB000		@ InterruptController-Basisadresse im r9 behalten
.endif
